Bug 819892 - [abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 11 (SIGSEGV)
[abrt] gjs-1.32.0-1.fc17: Process /usr/bin/gjs-console was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gjs (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:aa7507f83c543671cf86d632e90...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 10:10 EDT by James
Modified: 2013-08-01 09:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:06:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.63 KB, text/plain)
2012-05-08 10:10 EDT, James
no flags Details
File: maps (39.61 KB, text/plain)
2012-05-08 10:10 EDT, James
no flags Details
File: dso_list (15.28 KB, text/plain)
2012-05-08 10:10 EDT, James
no flags Details
File: build_ids (5.45 KB, text/plain)
2012-05-08 10:10 EDT, James
no flags Details

  None (edit)
Description James 2012-05-08 10:10:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();'
comment:        Opened Gnome Documents. Clicked on application menu in panel, selected List view.
crash_function: _clutter_input_device_translate_axis
executable:     /usr/bin/gjs-console
kernel:         3.3.4-4.fc17.i686
pid:            1895
pwd:            /home/james
remote_result:  NOTFOUND
time:           Tue 08 May 2012 02:55:52 PM BST
uid:            1000
username:       james

backtrace:      Text file, 37512 bytes
build_ids:      Text file, 5576 bytes
dso_list:       Text file, 15646 bytes
maps:           Text file, 40563 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/james/3

core_backtrace:
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x7963c - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x2c8b1 - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x2cdbf - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0xc3a14 - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x5a24e - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x24d6d - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x5ba53 - libclutter-1.0.so.0 -
:2d71710b05fe5a091e1bbd77be1f343010a11094 0x270b8 clutter_x11_handle_event libclutter-1.0.so.0 -
:a96ba2c2c05f5bca55c50b58af0f2e2ca9289b62 0x5f6c - libclutter-gtk-1.0.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x4583d - libgdk-3.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x45a3c - libgdk-3.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x18d0e gdk_display_get_event libgdk-3.so.0 -
:c8678358e56f51f4da8d95c872da9898d836d227 0x4571b - libgdk-3.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x46f11 g_main_context_dispatch libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47390 - libglib-2.0.so.0 -
:e22e1e456283c0cdf171447a61c4f04e354f8b2a 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:dcc657d139ae8e1376df57b844635277883e75b8 0x98b84 g_application_run libgio-2.0.so.0 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x461a ffi_call_SYSV libffi.so.5 -
:9aea670864d2a34a222fd110376f7946b702de7c 0x4381 ffi_call libffi.so.5 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0x215d1 - libgjs.so.0 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0x22d80 - libgjs.so.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbfd5c - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xa9223 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbddc4 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0xbe9e6 - libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0x33002 JS_EvaluateUCScriptForPrincipals libmozjs185.so.1.0 -
:3bf47ba72c2da976fdc9d103f5069ba2ca0097d3 0x33344 JS_EvaluateUCScript libmozjs185.so.1.0 -
:e98236d2f3469b3e9e4e9addb3f6cef01b956cf8 0xe88e gjs_context_eval libgjs.so.0 -
:999fd942b1bf7c985a4ac52a3c4881e1f442bd62 0xc56 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=3
:HOSTNAME=tabitha
:GIO_LAUNCHED_DESKTOP_FILE_PID=1892
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/james/keyring-Qck1Lg/gpg:0:1
:DESKTOP_STARTUP_ID=gnome-shell-1401-tabitha-gnome-documents-6_TIME1272615
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/run/user/james/keyring-Qck1Lg
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=james
:LD_LIBRARY_PATH=/usr/lib/gnome-documents
:SSH_AUTH_SOCK=/run/user/james/keyring-Qck1Lg/ssh
:GJS_PATH=/usr/share/gnome-documents/js
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1173,unix/unix:/tmp/.ICE-unix/1173
:USERNAME=james
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gnome-documents.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/james/.local/bin:/home/james/bin
:MAIL=/var/spool/mail/james
:QT_IM_MODULE=xim
:PWD=/home/james
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1168
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/james
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=james
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-CWolPDK1Ug,guid=41f5a58643125c44cd2281d40000004d
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:GI_TYPELIB_PATH=/usr/lib/gnome-documents/girepository-1.0
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/james
:XAUTHORITY=/var/run/gdm/auth-for-james-ojQs1r/database
:_=/usr/bin/gjs-console

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7815                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7815                 7815                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/james/.xsession-errors
:pos:	27116
:flags:	02002
:2:/home/james/.xsession-errors
:pos:	27116
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[34340]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[34342]
:pos:	0
:flags:	02004002
:9:socket:[34343]
:pos:	0
:flags:	02004002
:10:socket:[34347]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[34349]
:pos:	0
:flags:	02004002
:13:/dev/dri/card0
:pos:	0
:flags:	02
:14:/home/james/.cache/tracker/meta.db
:pos:	1497088
:flags:	02100000
:15:/home/james/.cache/tracker/meta.db-wal
:pos:	983056
:flags:	02100002
:16:/home/james/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:17:anon_inode:inotify
:pos:	0
:flags:	02004000
:18:socket:[34356]
:pos:	0
:flags:	02004002
:19:/tmp/ffixB4cA9 (deleted)
:pos:	0
:flags:	02
:20:/dev/urandom
:pos:	0
:flags:	02100000

var_log_messages:
:May  8 14:55:29 tabitha kernel: [ 1254.508298] gjs-console[1849]: segfault at 68 ip 009f063c sp bfdc1a8c error 4 in libclutter-1.0.so.0.1000.4[977000+12e000]
:May  8 14:55:32 tabitha abrt[1861]: Saved core dump of pid 1849 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-05-08-14:55:29-1849 (62345216 bytes)
:May  8 14:55:52 tabitha kernel: [ 1277.479539] gjs-console[1895]: segfault at 68 ip 0040663c sp bfcf840c error 4 in libclutter-1.0.so.0.1000.4[38d000+12e000]
:May  8 14:55:57 tabitha abrt[1907]: Saved core dump of pid 1895 (/usr/bin/gjs-console) to /var/spool/abrt/ccpp-2012-05-08-14:55:52-1895 (62427136 bytes)
Comment 1 James 2012-05-08 10:10:47 EDT
Created attachment 583001 [details]
File: backtrace
Comment 2 James 2012-05-08 10:10:49 EDT
Created attachment 583002 [details]
File: maps
Comment 3 James 2012-05-08 10:10:52 EDT
Created attachment 583003 [details]
File: dso_list
Comment 4 James 2012-05-08 10:10:54 EDT
Created attachment 583004 [details]
File: build_ids
Comment 5 Fedora End Of Life 2013-07-04 00:17:35 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 09:06:57 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.